openSUSE: 2021:0706-1 important: monitoring-plugins-smart | LinuxSe...

   openSUSE Security Update: Security update for monitoring-plugins-smart
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0706-1
Rating:             important
References:         #1183057 
Affected Products:
                    openSUSE Leap 15.2
                    openSUSE Backports SLE-15-SP2
                    openSUSE Backports SLE-15-SP1
______________________________________________________________________________

   An update that contains security fixes can now be installed.

Description:

   This update for monitoring-plugins-smart fixes the following issues:

   monitoring-plugins-smart was updated to 6.9.1:

     This is a security-release (boo#1183057)
     + Fixes the regular expression for pseudo-devices under the /dev/bus/N
       path. from 6.9.0
     + Allows using PCI device paths as device name(s) (#64)
     + Introduce new optional parameter -l/--ssd-lifetime) which additionally
       checks SMART attribute "Percent_Lifetime_Remain" (available on some
       SSD drives). (#66 #67) from 6.8.0
     + Allow skip self-assessment check (--skip-self-assessment)
     + Add Command_Timeout to default raw list from 6.7.1
     + Bugfix to make --warn work (issue #54) from 6.7.0
     + Added support for NVMe drives from 6.6.1
     + Fix 'deprecation warning on regex with curly brackets' (6.6.1) from
       6.6.0
     + The feature was requested in #30 . This PR adds the possibility to use
       3ware,N and cciss,N drives in combination with the global -g parameter.
     + Furthermore this PR adjusts the output of the plugin when the -g is
       used in combination with hardware raid controllers. Instead of showing
       the logical device name (/dev/sda for example), the plugin will now
       show the controller with drive number from 6.5.0:
     + Add Reported_Uncorrect and Reallocated_Event_Count to default raw list.
     + As of 6.5 the following SMART attributes are by default checked and
       may result in alert when threshold (default 0 is reached):
       'Current_Pending_Sector,Reallocated_Sector_Ct,Program_Fail_Cnt_Total,
       Uncorrectable_Error_Cnt,Offline_Uncorrectable,Runtime_Bad_Block,
       Reported_Uncorrect,Reallocated_Event_Count'

   - Update to version 6.4

     - Allow detection of more than 26 devices / issue #5 (rev 5.3)
     - Different ATA vs. SCSI lookup (rev 5.4)
     - Allow script to run outside of nagios plugins dir / wiki url update
       (rev 5.5)
     - Change syntax of -g parameter (regex is now awaited from input) (rev
       5.6)
     - Fix Use of uninitialized value $device (rev 5.7)
     - Allow multiple devices for interface type megaraid, e.g.
       "megaraid,[1-5]" (rev 5.8)
     - allow type "auto" (rev 5.9)
     - Check selftest log for errors using new parameter -s (rev 5.10)
     - Add exclude list (-e) to ignore certain attributes (5.11)
     - Fix 'Use of uninitialized value' warnings (5.11.1)
     - Add raw check list (-r) and warning thresholds (-w) (6.0)
     - Allow using pseudo bus device /dev/bus/N (6.1)
     - Add device model and serial number in output (6.2)
     - Allow exclusion from perfdata as well (-E) and by attribute number
       (6.3)
     - Remove dependency on utils.pm, add quiet parameter (6.4)
   - Drop not longer needed patch:
     * enable_auto_interface.patch (obsolete, type auto was added upstream in
       v5.9).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-706=1

   - openSUSE Backports SLE-15-SP2:

      zypper in -t patch openSUSE-2021-706=1

   - openSUSE Backports SLE-15-SP1:

      zypper in -t patch openSUSE-2021-706=1



Package List:

   - openSUSE Leap 15.2 (noarch):

      monitoring-plugins-smart-6.9.1-lp152.4.3.1

   - openSUSE Backports SLE-15-SP2 (noarch):

      monitoring-plugins-smart-6.9.1-bp152.4.3.1

   - openSUSE Backports SLE-15-SP1 (noarch):

      monitoring-plugins-smart-6.9.1-bp151.4.3.1


References:

   https://bugzilla.suse.com/1183057

openSUSE: 2021:0706-1 important: monitoring-plugins-smart

May 10, 2021
An update that contains security fixes can now be installed

Description

This update for monitoring-plugins-smart fixes the following issues: monitoring-plugins-smart was updated to 6.9.1: This is a security-release (boo#1183057) + Fixes the regular expression for pseudo-devices under the /dev/bus/N path. from 6.9.0 + Allows using PCI device paths as device name(s) (#64) + Introduce new optional parameter -l/--ssd-lifetime) which additionally checks SMART attribute "Percent_Lifetime_Remain" (available on some SSD drives). (#66 #67) from 6.8.0 + Allow skip self-assessment check (--skip-self-assessment) + Add Command_Timeout to default raw list from 6.7.1 + Bugfix to make --warn work (issue #54) from 6.7.0 + Added support for NVMe drives from 6.6.1 + Fix 'deprecation warning on regex with curly brackets' (6.6.1) from 6.6.0 + The feature was requested in #30 . This PR adds the possibility to use 3ware,N and cciss,N drives in combination with the global -g parameter. + Furthermore this PR adjusts the output of the plugin when the -g is used in combination with hardware raid controllers. Instead of showing the logical device name (/dev/sda for example), the plugin will now show the controller with drive number from 6.5.0: + Add Reported_Uncorrect and Reallocated_Event_Count to default raw list. + As of 6.5 the following SMART attributes are by default checked and may result in alert when threshold (default 0 is reached): 'Current_Pending_Sector,Reallocated_Sector_Ct,Program_Fail_Cnt_Total, Uncorrectable_Error_Cnt,Offline_Uncorrectable,Runtime_Bad_Block, Reported_Uncorrect,Reallocated_Event_Count' - Update to version 6.4 - Allow detection of more than 26 devices / issue #5 (rev 5.3) - Different ATA vs. SCSI lookup (rev 5.4) - Allow script to run outside of nagios plugins dir / wiki url update (rev 5.5) - Change syntax of -g parameter (regex is now awaited from input) (rev 5.6) - Fix Use of uninitialized value $device (rev 5.7) - Allow multiple devices for interface type megaraid, e.g. "megaraid,[1-5]" (rev 5.8) - allow type "auto" (rev 5.9) - Check selftest log for errors using new parameter -s (rev 5.10) - Add exclude list (-e) to ignore certain attributes (5.11) - Fix 'Use of uninitialized value' warnings (5.11.1) - Add raw check list (-r) and warning thresholds (-w) (6.0) - Allow using pseudo bus device /dev/bus/N (6.1) - Add device model and serial number in output (6.2) - Allow exclusion from perfdata as well (-E) and by attribute number (6.3) - Remove dependency on utils.pm, add quiet parameter (6.4) - Drop not longer needed patch: * enable_auto_interface.patch (obsolete, type auto was added upstream in v5.9).

 

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-706=1 - openSUSE Backports SLE-15-SP2: zypper in -t patch openSUSE-2021-706=1 - openSUSE Backports SLE-15-SP1: zypper in -t patch openSUSE-2021-706=1

Package List

- openSUSE Leap 15.2 (noarch): monitoring-plugins-smart-6.9.1-lp152.4.3.1 - openSUSE Backports SLE-15-SP2 (noarch): monitoring-plugins-smart-6.9.1-bp152.4.3.1 - openSUSE Backports SLE-15-SP1 (noarch): monitoring-plugins-smart-6.9.1-bp151.4.3.1

References

https://bugzilla.suse.com/1183057

Severity
Announcement ID: openSUSE-SU-2021:0706-1
Rating: important
Affected Products: openSUSE Leap 15.2 openSUSE Backports SLE-15-SP2 openSUSE Backports SLE-15-SP1 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.